# Create a rate table

Creates a new rate table.

Endpoint: POST /provisioning/api/v1.1/rate-tables
Version: v1.1
Security: AdministrationAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `effectiveFrom` (integer)
    The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the rate table starts to take effect.

  - `series` (string)
    A means of grouping similar rate tables of different versions.

  - `version` (string)
    The version of this rate table.

  - `items` (array)
    List of rate table items.

  - `items.name` (string, required)
    Name of the item.

  - `items.version` (string)
    Version of the item.

  - `items.rate` (number)
    Rate of the item. The value can be fractional. Do not specify a rate when using a formula.

  - `items.formula` (string)
    A spreadsheet-style formula that can be used instead of a rate. Each item must have either a rate or a formula, but not both.
Supported functions:`FLOOR.MATH(x)`, `CEILING.MATH(x)`, `POWER(x,y)`, `PRODUCT(x,y)`, `SUM(x,y)`, `ABS(x)`, `MIN(x,y)`, `MAX(x,y)`, `ROUND(x,precision)` Supported operators: `+`,`-`, `*`, `/`, `^` (power).
Parentheses can be used to override operator precedence.  Variables are case-insensitive and are replaced at evaluation time with values supplied in the access request.  Numeric literals (integers and decimals) and negative numbers are supported.
Examples:
- FLOOR.MATH(1.6423169)
- POWER(3, 9.57) + quantity
- load * quantity
- (baseRate + surcharge) * discount

## Response 201:

  - `201` (unknown)
    Rate table was successfully saved.

## Response 201 fields (application/json):

  - `message` (string)

## Response 400:

  - `400` (unknown)
    Bad Request. Check the request for any errors in the input.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

## Response 403:

  - `403` (unknown)
    Forbidden. The user is forbidden from performing this operation. Check user permissions.

## Response 409:

  - `409` (unknown)
    Another rate table with the same version and series exists.

## Response 409 fields (application/json):

  - `error` (string)

## Response 500:

  - `500` (unknown)
    Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response.

